class AntiShockRifle extends ShockRifle;

var float AltFireTime;

function AltFire( float Value )
{
   Super.AltFire(Value);
   AltFireTime = Level.TimeSeconds;
}

function Tick(float DeltaTime)
{
	Super.Tick(DeltaTime);
	if(AltFireTime > 0)
		{
		if(Level.TimeSeconds - AltFireTime > 4) // 4 seconds after altfire
			AltFireTime = 0;

		if(Owner != none && Owner.IsA('PlayerPawn'))
			{
			if(Owner.AnimSequence == 'Wave' ||
				Owner.AnimSequence == 'Thrust' ||
				Owner.AnimSequence == 'Taunt1' ||
				Owner.AnimSequence == 'Victory1')
				{
				log(PlayerPawn(Owner).PlayerReplicationInfo.PlayerName $ " used the Wave-Shock-Combo cheat.");
				AltFireTime = 0;
				PlayerPawn(Owner).Suicide();
				}
			}
		}
}

function SetSwitchPriority(pawn Other)
{
   local int i;

//   log("SetSwitchPriority");
   
   if( PlayerPawn(Other) != None )
   {
      for( i=0; i<20; i++)
      {
         if ( PlayerPawn(Other).WeaponPriority[i] == 'ShockRifle' ) 
         {
            AutoSwitchPriority = i;
            return;
         }
      }
   } 
}

defaultproperties
{
}
